ModelUpdateSolution Class

class NXOpen.CAE.ModelUpdateSolution

Bases: NXOpen.CAE.CorrelSolution

Represents a NXOpen.CAE.ModelUpdateSolution, which is a meta-solution used to update finite element models to match real life test data

To create or edit an instance of this class, use NXOpen.CAE.ModelUpdateSolutionBuilder

New in version NX7.5.0.

Properties

Property Description
IsOccurrence Returns whether this object is an occurrence or not.
JournalIdentifier Returns the identifier that would be recorded in a journal for this object.
Name Returns the custom name of the object.
OwningComponent Returns the owning component, if this object is an occurrence.
OwningPart Returns the owning part of this object
Prototype Returns the prototype of this object if it is an occurrence.
Tag Returns the Tag for this object.
DesignVariables The design variables collection for this meta solution.

Methods

Method Description
CalculateComacs Computes the CoMAC correlation metric for active modes
CalculateErrors Calculates errors
CloneCorrelation Make a clone of a correl solution.
CloneModelupdate Make a clone of a model update solution.
ComputeMacs Computes the Model Assurance Criterion (MAC) correlation metric for active modes
ComputeModePairsForSol Compute mode pairs for correlation solution
CreateAttributeIterator Create an attribute iterator
CreateCorrelMethodBuilder Creates the builder object of model update correlation method
CreateModePairingBuilder Creates the builder object for mode pairing editing
CreateOptimOptionsBuilder Creates the builder object of model update optimize options
CreateOptionsBuilder Creates the builder object of model update options
CreateOverallWeightsBuilder Creates the builder object of model update overall weights
DeleteAllAttributesByType Deletes all attributes of a specific type.
DeleteAttributeByTypeAndTitle Deletes an attribute by type and title.
DeleteUserAttribute Deletes the first attribute encountered with the given Type, Title.
DeleteUserAttributes Deletes the attributes on the object, if any, that satisfy the given iterator
Destroy Deletes a correlation solution
ExportDesignVariablesCsvFile Export the model update design variables to the csv file
ExportErrorsCsvFile Export the model update errors to the csv file
ExportModePairCsvFile Export mode pair to CSV file
ExportNodeMapCsvFile Export node map to CSV file
ExportSensitivitiesCsvFile Export the model update sensitivities to the csv file
ExportShapeMetricsCsvFile Export shape metrics to CSV file
ExportTargetsCsvFile Export the model update targets to the csv file
FindObject Finds the NXOpen.NXObject with the given identifier as recorded in a journal.
GenerateComacResults Create COMAC results
GenerateMatchingDofset Create Matching DOFSet
GetAttributeTitlesByType Gets all the attribute titles of a specific type.
GetBooleanUserAttribute Gets a boolean attribute by Title and array Index.
GetComputationalTimeUserAttribute Gets a time attribute by Title and array Index.
GetDesignVarNumber Gets the number of design variables
GetDesignVariables Returns the design variables in the model update solution
GetIntegerAttribute Gets an integer attribute by title.
GetIntegerUserAttribute Gets an integer attribute by Title and array Index.
GetNextUserAttribute Gets the next attribute encountered on the object, if any, that satisfies the given iterator.
GetPdmReferenceAttributeValue Gets the value of PDM Reference attribute for given object.
GetRealAttribute Gets a real attribute by title.
GetRealUserAttribute Gets a real attribute by Title and array Index.
GetReferenceAttribute Gets the reference string (not the calculated value) of a string attribute that uses a reference string.
GetSolutionName Returns the correlation solution name
GetStringAttribute Gets a string attribute value by title.
GetStringUserAttribute Gets a string attribute by Title and array Index.
GetTimeAttribute Gets a time attribute by title.
GetTimeUserAttribute Gets a time attribute by Title and array Index.
GetUserAttribute Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index.
GetUserAttributeAsString Gets the first attribute encountered on the object, if any, with a given title, type and array index.
GetUserAttributeCount Gets the count of set attributes on the object, if any, that satisfy the given iterator.
GetUserAttributeLock Determine the lock of the given attribute.
GetUserAttributeSize Gets the size of the first attribute encountered on the object, if any, with a given Title and Type.
GetUserAttributeSourceObjects Returns an array of objects from which this object presents attributes.
GetUserAttributes Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator.
GetUserAttributesAsStrings Gets all the attributes that have been set on the given object.
HasUserAttribute Determines if an attribute exists on the object, that satisfies the given iterator
ImportNodeMapCsvFile Import node map CSV file
LockNodeMap Lock the node map.
Print Prints a representation of this object to the system log file.
ResetDesignVariables Resets the design variables
ResetTargets Resets the targets
SetActiveModePair Sets a specific mode pair as active or not
SetActiveRefMode Sets a specific reference mode as active or not
SetActiveSensor Sets a specific sensor as active or not
SetActiveSensorDof Sets a specific sensor DOF as active or not
SetActiveSensorDofOrientation Sets a specific sensor DOF orientation
SetActiveWorkMode Sets a specific work mode as active or not
SetAttribute Creates or modifies an integer attribute.
SetBooleanUserAttribute Creates or modifies a boolean attribute with the option to update or not.
SetDesignVarActive Sets a specific design variable as active or not
SetDesignVarLowerBound Sets lower bound for a specific design variable
SetDesignVarUpperBound Sets upper bound for a specific design variable
SetDesignVarValue Sets value for a specific design variable
SetDesignVarWeight Sets weight for a specific design variable
SetDesignVariablesInitialValue Sets the value of the design variables.
SetFreqTargetActive Sets active status for a specific frequency target
SetFreqTargetWeight Sets weight for a specific frequency target
SetModeShapeTargetActive Sets active status for a specific mode shape target
SetModeShapeTargetWeight Sets weight for a specific mode shape target
SetName Sets the custom name of the object.
SetPdmReferenceAttribute Sets the value of PDM Reference attribute on the object.
SetReferenceAttribute Creates or modifies a string attribute which uses a reference string.
SetSolutionName Sets the correlation solution name
SetTimeAttribute Creates or modifies a time attribute.
SetTimeUserAttribute Creates or modifies a time attribute with the option to update or not.
SetUserAttribute Creates or modifies an attribute with the option to update or not.
SetUserAttributeLock Lock or unlock the given attribute.
UnlockNodeMap Unlock the node map.
UpdateDesignVariables Update the design variable modeling objects
UpdateFiniteElementModel Update the finite element model
UpdateNodeMatchings Update correlation node matchings
UpdateResultsForSolution Update results for correlation solution

Enumerations

ModelUpdateSolutionTargetType Enumeration Represents the type when export to targets and errors to csv file

Property Detail

IsOccurrence

ModelUpdateSolution.IsOccurrence

Returns whether this object is an occurrence or not.

-------------------------------------

Getter Method

Signature IsOccurrence

Returns:This object is an occurrence
Return type:bool

New in version NX3.0.0.

License requirements: None.

JournalIdentifier

ModelUpdateSolution.JournalIdentifier

Returns the identifier that would be recorded in a journal for this object.

This may not be the same across different releases of the software.

-------------------------------------

Getter Method

Signature JournalIdentifier

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

Name

ModelUpdateSolution.Name

Returns the custom name of the object.

-------------------------------------

Getter Method

Signature Name

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

OwningComponent

ModelUpdateSolution.OwningComponent

Returns the owning component, if this object is an occurrence.

-------------------------------------

Getter Method

Signature OwningComponent

Returns:
Return type:NXOpen.Assemblies.Component

New in version NX3.0.0.

License requirements: None.

OwningPart

ModelUpdateSolution.OwningPart

Returns the owning part of this object

-------------------------------------

Getter Method

Signature OwningPart

Returns:The owning part of this object or null if it does not have an owner
Return type:NXOpen.BasePart

New in version NX3.0.0.

License requirements: None.

Prototype

ModelUpdateSolution.Prototype

Returns the prototype of this object if it is an occurrence.

-------------------------------------

Getter Method

Signature Prototype

Returns:The prototype of this object or null if this object is not an occurrence
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

DesignVariables

ModelUpdateSolution.DesignVariables

The design variables collection for this meta solution.

Signature DesignVariables

New in version NX8.0.1.

Returns:
Return type:NXOpen.CAE.ModelUpdateDesignVariablesCollection

Method Detail

CalculateErrors

ModelUpdateSolution.CalculateErrors

Calculates errors

Signature CalculateErrors()

New in version NX7.5.0.

License requirements: nx_correl_update (“FE Model Update”)

CloneModelupdate

ModelUpdateSolution.CloneModelupdate

Make a clone of a model update solution.

Signature CloneModelupdate()

Returns:Cloned solution
Return type:NXOpen.CAE.ModelUpdateSolution

New in version NX8.0.1.

License requirements: nx_correl_update (“FE Model Update”)

CreateCorrelMethodBuilder

ModelUpdateSolution.CreateCorrelMethodBuilder

Creates the builder object of model update correlation method

Signature CreateCorrelMethodBuilder()

Returns:
Return type:NXOpen.CAE.ModelUpdateCorrelMethodBuilder

New in version NX7.5.0.

License requirements: nx_correl_update (“FE Model Update”)

CreateOptimOptionsBuilder

ModelUpdateSolution.CreateOptimOptionsBuilder

Creates the builder object of model update optimize options

Signature CreateOptimOptionsBuilder()

Returns:
Return type:NXOpen.CAE.ModelUpdateOptimOptionsBuilder

New in version NX7.5.0.

License requirements: nx_correl_update (“FE Model Update”)

CreateOptionsBuilder

ModelUpdateSolution.CreateOptionsBuilder

Creates the builder object of model update options

Signature CreateOptionsBuilder()

Returns:
Return type:NXOpen.CAE.ModelUpdateOptionsBuilder

New in version NX7.5.0.

License requirements: nx_correl_update (“FE Model Update”)

CreateOverallWeightsBuilder

ModelUpdateSolution.CreateOverallWeightsBuilder

Creates the builder object of model update overall weights

Signature CreateOverallWeightsBuilder()

Returns:
Return type:NXOpen.CAE.ModelUpdateOverallWeightsBuilder

New in version NX7.5.0.

License requirements: nx_correl_update (“FE Model Update”)

ExportDesignVariablesCsvFile

ModelUpdateSolution.ExportDesignVariablesCsvFile

Export the model update design variables to the csv file

Signature ExportDesignVariablesCsvFile(fileName)

Parameters:fileName (str) – CSV file name.

New in version NX7.5.1.

License requirements: nx_correl_update (“FE Model Update”)

ExportErrorsCsvFile

ModelUpdateSolution.ExportErrorsCsvFile

Export the model update errors to the csv file

Signature ExportErrorsCsvFile(targetType, fileName)

Parameters:

New in version NX7.5.1.

License requirements: nx_correl_update (“FE Model Update”)

ExportSensitivitiesCsvFile

ModelUpdateSolution.ExportSensitivitiesCsvFile

Export the model update sensitivities to the csv file

Signature ExportSensitivitiesCsvFile(fileName)

Parameters:fileName (str) – CSV file name.

New in version NX7.5.1.

License requirements: nx_correl_update (“FE Model Update”)

ExportTargetsCsvFile

ModelUpdateSolution.ExportTargetsCsvFile

Export the model update targets to the csv file

Signature ExportTargetsCsvFile(tagetType, fileName)

Parameters:

New in version NX7.5.1.

License requirements: nx_correl_update (“FE Model Update”)

FindObject

ModelUpdateSolution.FindObject

Finds the NXOpen.NXObject with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Journal identifier of the object
Returns:
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

GetDesignVarNumber

ModelUpdateSolution.GetDesignVarNumber

Gets the number of design variables

Signature GetDesignVarNumber()

Returns:
Return type:int

New in version NX7.5.0.

License requirements: nx_correl_update (“FE Model Update”)

GetDesignVariables

ModelUpdateSolution.GetDesignVariables

Returns the design variables in the model update solution

Signature GetDesignVariables()

Returns:
Return type:list of NXOpen.CAE.ModelUpdateDesignVariable

New in version NX8.0.1.

License requirements: solid_modeling (“SOLIDS MODELING”)

Print

ModelUpdateSolution.Print

Prints a representation of this object to the system log file.

Signature Print()

New in version NX3.0.0.

License requirements: None.

ResetDesignVariables

ModelUpdateSolution.ResetDesignVariables

Resets the design variables

Signature ResetDesignVariables()

New in version NX7.5.0.

License requirements: nx_correl_update (“FE Model Update”)

ResetTargets

ModelUpdateSolution.ResetTargets

Resets the targets

Signature ResetTargets()

New in version NX7.5.0.

License requirements: nx_correl_update (“FE Model Update”)

SetDesignVarActive

ModelUpdateSolution.SetDesignVarActive

Sets a specific design variable as active or not

Signature SetDesignVarActive(designVarIndex, active)

Parameters:
  • designVarIndex (int) – index of design variable
  • active (bool) – activate or deactivate flag

New in version NX7.5.0.

License requirements: nx_correl_update (“FE Model Update”)

SetDesignVarLowerBound

ModelUpdateSolution.SetDesignVarLowerBound

Sets lower bound for a specific design variable

Signature SetDesignVarLowerBound(designVarIndex, lowerBound)

Parameters:
  • designVarIndex (int) – index of design variable
  • lowerBound (float) – new lower bound value of design variable

New in version NX7.5.0.

License requirements: nx_correl_update (“FE Model Update”)

SetDesignVarUpperBound

ModelUpdateSolution.SetDesignVarUpperBound

Sets upper bound for a specific design variable

Signature SetDesignVarUpperBound(designVarIndex, upperBound)

Parameters:
  • designVarIndex (int) – index of design variable
  • upperBound (float) – new upper bound value of design variable

New in version NX7.5.0.

License requirements: nx_correl_update (“FE Model Update”)

SetDesignVarValue

ModelUpdateSolution.SetDesignVarValue

Sets value for a specific design variable

Signature SetDesignVarValue(designVarIndex, value)

Parameters:
  • designVarIndex (int) – index of design variable
  • value (float) – new value of design variable

New in version NX7.5.0.

License requirements: nx_correl_update (“FE Model Update”)

SetDesignVarWeight

ModelUpdateSolution.SetDesignVarWeight

Sets weight for a specific design variable

Signature SetDesignVarWeight(designVarIndex, weight)

Parameters:
  • designVarIndex (int) – index of design variable
  • weight (float) – new weight value of design variable

New in version NX7.5.0.

License requirements: nx_correl_update (“FE Model Update”)

SetDesignVariablesInitialValue

ModelUpdateSolution.SetDesignVariablesInitialValue

Sets the value of the design variables.

Signature SetDesignVariablesInitialValue(initialValue)

Parameters:initialValue (float) –

New in version NX8.0.1.

License requirements: nx_correl_update (“FE Model Update”)

SetFreqTargetActive

ModelUpdateSolution.SetFreqTargetActive

Sets active status for a specific frequency target

Signature SetFreqTargetActive(freqTargetIndex, active)

Parameters:
  • freqTargetIndex (int) – index of frequency target
  • active (bool) – new active status of frequency target

New in version NX7.5.0.

License requirements: nx_correl_update (“FE Model Update”)

SetFreqTargetWeight

ModelUpdateSolution.SetFreqTargetWeight

Sets weight for a specific frequency target

Signature SetFreqTargetWeight(freqTargetIndex, weight)

Parameters:
  • freqTargetIndex (int) – index of frequency target
  • weight (float) – new weight value of frequency target

New in version NX7.5.0.

License requirements: nx_correl_update (“FE Model Update”)

SetModeShapeTargetActive

ModelUpdateSolution.SetModeShapeTargetActive

Sets active status for a specific mode shape target

Signature SetModeShapeTargetActive(modeShapeTargetIndex, active)

Parameters:
  • modeShapeTargetIndex (int) – index of mode shape target
  • active (bool) – new active status of mode shape target

New in version NX7.5.0.

License requirements: nx_correl_update (“FE Model Update”)

SetModeShapeTargetWeight

ModelUpdateSolution.SetModeShapeTargetWeight

Sets weight for a specific mode shape target

Signature SetModeShapeTargetWeight(modeShapeTargetIndex, modeShapeWeight)

Parameters:
  • modeShapeTargetIndex (int) – index of mode shape target
  • modeShapeWeight (float) – new weight value of mode shape target

New in version NX7.5.0.

License requirements: nx_correl_update (“FE Model Update”)

SetName

ModelUpdateSolution.SetName

Sets the custom name of the object.

NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.

Signature SetName(name)

Parameters:name (str) –

New in version NX3.0.0.

License requirements: None.

UpdateDesignVariables

ModelUpdateSolution.UpdateDesignVariables

Update the design variable modeling objects

Signature UpdateDesignVariables()

New in version NX7.5.0.

License requirements: nx_correl_update (“FE Model Update”)

UpdateFiniteElementModel

ModelUpdateSolution.UpdateFiniteElementModel

Update the finite element model

Signature UpdateFiniteElementModel()

New in version NX7.5.0.

License requirements: nx_correl_update (“FE Model Update”)